Bug 489674 - rhncfg-manager fails during proxy installation
rhncfg-manager fails during proxy installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Suchý
Michael Mráka
:
Depends On:
Blocks: 456999 486216
  Show dependency treegraph
 
Reported: 2009-03-11 07:02 EDT by Michael Mráka
Modified: 2009-10-28 15:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530-unconfirmed
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-28 15:49:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Mráka 2009-03-11 07:02:50 EDT
Description of problem:
rhncfg-manager fails during proxy installation with traceback.

Version-Release number of selected component (if applicable):
RHN-Proxy-5.3.0-RHEL4-re20090306.1
rhncfg-management-5.9.3-1.el4sat

How reproducible:


Steps to Reproduce:
1. install spacewalk-proxy-installer
2. /usr/sbin/configure-proxy.sh --answer-file=proxy-answer.txt --non-interactiv
3.
  
Actual results:
...
Create and populate configuration channel rhn_proxy_config_1014485820? [Y/n]: 
Using server name rhn.webqa.redhat.com
Traceback (most recent call last):
  File "/usr/bin/rhncfg-manager", line 46, in ?
    sys.exit(Main().main() or 0)
  File "/usr/share/rhn/config_common/rhn_main.py", line 171, in main
    repo = getattr(repo_module, self.repository_class_name)()
  File "/usr/share/rhn/config_management/rpc_repository.py", line 28, in __init__
    repository.RPC_Repository.__init__(self, setup_network)
  File "/usr/share/rhn/config_common/repository.py", line 276, in __init__
    x_server.registration.welcome_message()
  File "/usr/lib/python2.3/xmlrpclib.py", line 1029, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/config_common/rpc_wrapper.py", line 226, in _request
    return self._call_function(rpclib.Server._request, (self, methodname, params))
  File "/usr/share/rhn/config_common/rpc_wrapper.py", line 167, in _call_function
    ret = apply(function, arglist, kwargs)
  File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 329, in _request
    raise pe
xmlrpclib.ProtocolError: <ProtocolError for rhn.webqa.redhat.com /XMLRPC: 404 Not Found>
Using server name rhn.webqa.redhat.com
Traceback (most recent call last):
  File "/usr/bin/rhncfg-manager", line 46, in ?
    sys.exit(Main().main() or 0)
  File "/usr/share/rhn/config_common/rhn_main.py", line 171, in main
    repo = getattr(repo_module, self.repository_class_name)()
  File "/usr/share/rhn/config_management/rpc_repository.py", line 28, in __init__
    repository.RPC_Repository.__init__(self, setup_network)
  File "/usr/share/rhn/config_common/repository.py", line 276, in __init__
    x_server.registration.welcome_message()
  File "/usr/lib/python2.3/xmlrpclib.py", line 1029, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/config_common/rpc_wrapper.py", line 226, in _request
    return self._call_function(rpclib.Server._request, (self, methodname, params))
  File "/usr/share/rhn/config_common/rpc_wrapper.py", line 167, in _call_function
    ret = apply(function, arglist, kwargs)
  File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 329, in _request
    raise pe
xmlrpclib.ProtocolError: <ProtocolError for rhn.webqa.redhat.com /XMLRPC: 404 Not Found>
...

Expected results:
no errors

Additional info:
# cat proxy-answer.txt
VERSION=5.3
RHN_PARENT=
TRACEBACK_EMAIL=youremail@redhat.com
USE_SSL=Y
SSL_ORG="Red Hat"
SSL_ORGUNIT="RHN Satellite"
SSL_CITY=Brno
SSL_STATE=CZ
SSL_COUNTRY=CZ
INSTALL_MONITORING=N
ENABLE_SCOUT=N
RHN_PARENT=rhn.webqa.redhat.com
CA_CHAIN=/usr/share/rhn/RHNS-CA-CERT
Comment 1 Miroslav Suchý 2009-03-12 11:40:06 EDT
There should be xmlrpc.rhn.webqa.redhat.com instead of 
rhn.webqa.redhat.com.
I will incorporate check if user enter rhn.redhat.com to substitute it with xmlrpc. prefix and print some warning.
Comment 2 Miroslav Suchý 2009-03-12 11:58:01 EDT
Commited as 194bcec1d05ac14dfed976c89a909c3cdf55f64f
Fixed in spacewalk-proxy-installer-0.5.18-1
Comment 3 Miroslav Suchý 2009-03-13 04:45:15 EDT
Forgot to add the some code beside the warning.
Commit b9e0ec14df295e96c4a4ee2263f6a8f52465c0c4
Fixed in spacewalk-proxy-installer-0.5.19-1
Comment 4 Michael Mráka 2009-03-18 17:13:42 EDT
Verified. RHN-Proxy-5.3.0-RHEL5-re20090317.0-i386

Note You need to log in before you can comment on or make changes to this bug.